/*

  MQ4 Gas Sensor (Analog)

  Parts required:
  - Arduino Board
  - MQ4 Gas Sensor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 15 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

  Run the calicration sketch to get the value for the sensorValue variable below

*/

int analogInputValue;                             // Initialize variable analogInputValue
int analogInputPin = A5;                          // Initialize variable analogInputPin as analog port A5
int sensorValue = 150;                            // Initialize variable sensorValue 

void setup() {
  Serial.begin(9600);                             // start Serial Monitor for communication
}

void loop() {
  analogInputValue = analogRead(analogInputPin);  // read analogInputPin and store in variable analogInputValue

  if (analogInputValue > sensorValue) {           // if analogInputValue > 150 do
    Serial.println("Gas Detected...");            // print text to Serial Monitor
  }
  delay(500);                                     // wait 500 ms
}
